My Project: ShaderObject Class Reference

My Project

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
ShaderObject Class Reference

`#include <shaderobject.h>`

## Public Member Functions

void | DeleteVertShader (ShaderObject *vShader)
void | DeleteFragShader (ShaderObject *fShader)

## Static Public Member Functions

static ShaderObject * | CreateVertShader (string shaderFileName)
static ShaderObject * | CreateFragShader (string shaderFileName)
static ShaderObject * | CreateVertShaderFromString (string shadercode)
static ShaderObject * | CreateFragShaderFromString (string shadercode)

## Public Attributes

int | ShaderObj
int | ShaderType
list< ProgramObject * > | Attached
string | shaderName

## Static Public Attributes

static list< ShaderObject * > | ShaderObjectList

## Member Function Documentation

## § CreateFragShader()

ShaderObject * ShaderObject::CreateFragShader | ( | string | shaderFileName | ) |

static

## § CreateFragShaderFromString()

ShaderObject * ShaderObject::CreateFragShaderFromString | ( | string | shadercode | ) |

static

## § CreateVertShader()

ShaderObject * ShaderObject::CreateVertShader | ( | string | shaderFileName | ) |

static

## § CreateVertShaderFromString()

ShaderObject * ShaderObject::CreateVertShaderFromString | ( | string | shadercode | ) |

static

## § DeleteFragShader()

void ShaderObject::DeleteFragShader | ( | ShaderObject * | fShader | ) |

## § DeleteVertShader()

void ShaderObject::DeleteVertShader | ( | ShaderObject * | vShader | ) |

## Member Data Documentation

## § Attached

list<ProgramObject*> ShaderObject::Attached

## § shaderName

string ShaderObject::shaderName

## § ShaderObj

int ShaderObject::ShaderObj

## § ShaderObjectList

list< ShaderObject * > ShaderObject::ShaderObjectList

static

## § ShaderType

int ShaderObject::ShaderType

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/shaderobject.h
- openb3dlib.mod/openb3d/src/material.cpp